Bug 247018 - Initscript Review
Initscript Review
Product: Fedora
Classification: Fedora
Component: pdns (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
Reported: 2007-07-05 09:56 EDT by Harald Hoyer
Modified: 2008-10-19 06:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-19 06:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:56:20 EDT
Please have a look at the wikipage 
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Bug Zapper 2008-04-04 09:12:04 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Ruben Kerkhof 2008-10-19 06:53:44 EDT
I'm closing this bug because after it has been open for a year, there's still no clear guideline.
Feel free to reopen it when this becomes clear.

Note You need to log in before you can comment on or make changes to this bug.